Package org.gradle.tooling.model.kotlin.dsl

## Interface KotlinDslScriptModel

-     public interface KotlinDslScriptModel

  Model for a Kotlin DSL script.
  Since:
    6.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<java.io.File>` | `getClassPath()` |
    `java.util.List<EditorReport>` | `getEditorReports()` |
    `java.util.List<java.lang.String>` | `getExceptions()` |
    `java.util.List<java.lang.String>` | `getImplicitImports()` |
    `java.util.List<java.io.File>` | `getSourcePath()` |

- - ### Method Detail

    - #### getClassPath

          java.util.List<java.io.File> getClassPath()

    - #### getSourcePath

          java.util.List<java.io.File> getSourcePath()

    - #### getImplicitImports

          java.util.List<java.lang.String> getImplicitImports()

    - #### getEditorReports

          java.util.List<EditorReport> getEditorReports()

    - #### getExceptions

          java.util.List<java.lang.String> getExceptions()